#define OUT_LED1        _PORTB_RB5_MASK
#define OUT_LED2        _PORTB_RB4_MASK
#define OUT_LED3        _PORTB_RB6_MASK

#define OUT_ENA         _PORTC_RC1_MASK
#define OUT_MODE        _PORTC_RC2_MASK
#define OUT_ERR         _PORTC_RC3_MASK
#define OUT_PWREN       _PORTC_RC4_MASK
#define IN_BUT          _PORTC_RC5_MASK
#define OUT_LED4        _PORTC_RC6_MASK

#define CLR_LED1()      (LATB &= ~OUT_LED1)
#define CLR_LED2()      (LATB &= ~OUT_LED2)
#define CLR_LED3()      (LATB &= ~OUT_LED3)
#define CLR_LED4()      (LATC &= ~OUT_LED4)
#define CLR_ERR()       (LATC &= ~OUT_ERR)
#define CLR_ENA()       (LATC &= ~OUT_ENA)
#define CLR_PWREN()     (LATC &= ~OUT_PWREN)
#define CLR_MODE()      (LATC &= ~OUT_MODE)

#define SET_LED1()      (LATB |= OUT_LED1)
#define SET_LED2()      (LATB |= OUT_LED2)
#define SET_LED3()      (LATB |= OUT_LED3)
#define SET_LED4()      (LATC |= OUT_LED4)
#define SET_ERR()       (LATC |= OUT_ERR)
#define SET_ENA()       (LATC |= OUT_ENA)
#define SET_PWREN()     (LATC |= OUT_PWREN)
#define SET_MODE()      (LATC |= OUT_MODE)

#define TGL_LED1()      (LATB ^= OUT_LED1)
#define TGL_LED2()      (LATB ^= OUT_LED2)
#define TGL_LED3()      (LATB ^= OUT_LED3)
#define TGL_LED4()      (LATC ^= OUT_LED4)
#define TGL_ERR()       (LATC ^= OUT_ERR)
#define TGL_MODE()      (LATC ^= OUT_MODE)
#define GET_BUT()       (PORTC & IN_BUT)

#define LED_ON  1
#define LED_OFF 0
