#include <xc.h>
#include "system.h"
#include "smalltask.h"
#include "LED.h"
#include "Control.h"

void init(void)
{
//    PORTB = 0x10;
    LATC = OUT_LED1 | OUT_LED2 | OUT_LED3;
//    TRISB = 0;
    TRISB = ~(OUT_LED1 | OUT_LED2 | OUT_LED3);
    LATC = OUT_ENA | OUT_LED4 | OUT_MODE;
    TRISC = IN_BUT;
    OSCCON = /*_OSCCON_SCS1_MASK  | */_OSCCON_IRCF0_MASK  | _OSCCON_IRCF1_MASK | _OSCCON_IRCF2_MASK;
    Smalltask_init();       //start tasktimer for running functions on precise intervals
    INTCONbits.GIE = 1; 
    CLR_ERR();
    SET_LED1();
    SET_LED2();
    SET_LED3();
    SET_LED4();
}

MAIN_RETURN main(void)  //main loop
{
    init();
    Smalltask_rerun(TASK_Control_task, 500ms);
    while(1)
    {
        Smalltask_dispatch();
    }
}