#ifndef SMALLTASK_H_
#define SMALLTASK_H_
//==========================================================================================
// Definitions
//==========================================================================================
#define STRUCKT_NOT_WORKING
#define SMALLTASK_TASK \
TASK( Control_task ) \
TASK( Led_task ) \
TASK( melody_task ) \
TASK( Check_switch ) \
TASK( error_blink ) \
//TASK( APP_DeviceCDCBasicDemoTasks ) 

// 1 system tik is 125us
#define ms      *8U
#define sec     *8000U
//==========================================================================================
// Types
//==========================================================================================
union smalltask_time_function_u
{
    uint16_t time;
    bool (*func)( void );
};

enum
{
#define TASK( a ) TASK_##a,
	SMALLTASK_TASK
#undef TASK
	SMALLTASK_TASK_COUNT
};
//==========================================================================================
// Values
//==========================================================================================

extern bool Smalltask_Check[SMALLTASK_TASK_COUNT];
extern bool Smalltask_Use_Counter[SMALLTASK_TASK_COUNT];
//extern union smalltask_time_function_u Smalltask_Time[SMALLTASK_TASK_COUNT];
extern uint16_t Smalltask_Time[SMALLTASK_TASK_COUNT];

//==========================================================================================
// Functions
//==========================================================================================
extern void Smalltask_init( void );
extern void Smalltask_interupt(void);
extern void Smalltask_dispatch( void );
extern void Smalltask_rerun(uint8_t task, uint16_t time);
extern void Smalltask_setfunc(uint8_t task, bool (*func)( void ));

#endif /* SMALLTASK_H_ */
